summaryrefslogtreecommitdiffstats
path: root/debian/tests/hello-world
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/hello-world')
-rw-r--r--debian/tests/hello-world20
1 files changed, 20 insertions, 0 deletions
diff --git a/debian/tests/hello-world b/debian/tests/hello-world
new file mode 100644
index 0000000..1b8be0d
--- /dev/null
+++ b/debian/tests/hello-world
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -ex
+
+GO="/usr/lib/go-$(dpkg-parsechangelog -SSource | sed 's/golang-//')/bin/go"
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+cat <<EOF > hello.go
+package main
+import "fmt"
+func main() {
+ fmt.Println("hello world")
+}
+EOF
+
+$GO run hello.go
+$GO build hello.go
+./hello